<template>
  <label :class="['wrapper', {'wrapper--checked': isChecked}]" >
    <span>{{label}}</span>
    <input class="checkbox" v-bind="$attrs"  type="radio" :checked="isChecked" :value="value" @change="$emit('change', $event.target.value)" />
  </label>
</template>

<script>
export default {
  model: {
    prop: 'modelValue',
    event: 'change'
  },
  props: {
    "label": { type: String, default: "", required:true },
    "modelValue": { default: "" },
    "value": { type: String, default: undefined }
  },
  computed: {
    isChecked() {
      return this.modelValue === this.value
    }
  }
}
</script>

<style lang='scss'  scoped>

.wrapper {
  display: block;
  position: relative;
  padding: 20px 0;
  width: 166px;
  height: 56px;
  cursor: pointer;
  font-size: 14px;
  line-height: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background: #18265E;
  border-radius: 30px;
  text-align: center;
  color: #FFFFFF;
}

.wrapper--checked {
  height: 53px;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
    border-radius: 30px;
    z-index: -1;
    margin: -2px;
  }

  span {
    position: relative;

      &::before {
        content: '';
        width: 15px;
        height: 12px;
        background-image: url("../../assets/img/hub/discover-check.svg");
        background-position: center;
        background-repeat: no-repeat;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: -24px;
        overflow: visible;
      }

  }
}
.wrapper input {
  position: absolute;
  opacity: 0;
  height: 0;
  width: 0;
  pointer-events: none;
}
</style>
